unit uPresupuestosViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uEditorPresupuestos, uEditorPresupuesto,
  uEditorSituacionPresupuesto, uEditorPresupuestosReport, uEditorElegirPresupuestos;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorPresupuestos, 'EditorPresupuestos');
  EditorRegistry.RegisterClass(TfEditorPresupuesto, 'EditorPresupuesto');
  EditorRegistry.RegisterClass(TfEditorSituacionPresupuesto, 'EditorSituacionPresupuesto');
  EditorRegistry.RegisterClass(TfEditorPresupuestosPreview, 'EditorPresupuestosPreview');
  EditorRegistry.RegisterClass(TfEditorElegirPresupuestos, 'EditorElegirPresupuestos');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorPresupuestos);
  EditorRegistry.UnRegisterClass(TfEditorPresupuesto);
  EditorRegistry.UnRegisterClass(TfEditorSituacionPresupuesto);
  EditorRegistry.UnRegisterClass(TfEditorPresupuestosPreview);
  EditorRegistry.UnRegisterClass(TfEditorElegirPresupuestos);
end;

end.

